MWAWChart Class Referenceabstract

a class used to store a chart associated to a spreadsheet .... More...

`#include <MWAWChart.hxx>`

Inheritance diagram for MWAWChart:

## Classes

struct | Axis
| a axis in a chart More...
struct | Legend
| a legend in a chart More...
struct | Series
| a series in a chart More...
struct | TextZone
| a text zone a chart More...

## Public Member Functions

| MWAWChart (std::string const &sheetName, MWAWFontConverterPtr const &fontConverter, MWAWVec2f const &dim=MWAWVec2f())
| the constructor
virtual | ~MWAWChart ()
| the destructor
void | sendChart (MWAWSpreadsheetListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface)
| send the chart to the listener
virtual void | sendContent (TextZone const &zone, MWAWListenerPtr &listener)=0
| send the zone content (called when the zone is of text type)
void | setDataType (Series::Type type, bool dataStacked)
| sets the chart type
MWAWVec2f const & | getDimension () const
| return the chart dimension
void | setDimension (MWAWVec2f const &dim)
| return the chart dimension
void | add (int coord, Axis const &axis)
| adds an axis (corresponding to a coord)
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord)
void | set (Legend const &legend)
| set the legend
Legend const & | getLegend () const
| return the legend
void | add (Series const &series)
| adds a series
std::vector< Series > const & | getSeries () const
| return the list of series
void | add (TextZone const &textZone)
| adds a textzone
bool | getTextZone (TextZone::Type type, TextZone &textZone)
| returns a textzone content(if set)

## Protected Member Functions

void | sendTextZoneContent (TextZone::Type type, MWAWListenerPtr &listener)
| sends a textzone content

## Protected Attributes

std::string | m_sheetName
| the sheet name
MWAWVec2f | m_dim
| the chart dimension in point
Series::Type | m_type
| the chart type (if no series)
bool | m_dataStacked
| a flag to know if the data are stacked or not
Axis | m_axis [4]
| the x,y,z and a bad axis
Legend | m_legend
| the legend
std::vector< Series > | m_seriesList
| the list of series
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone
MWAWFontConverterPtr | m_fontConverter
| the font converter

## Private Member Functions

| MWAWChart (MWAWChart const &orig)=delete
MWAWChart & | operator= (MWAWChart const &orig)=delete

## Friends

class | MWAWChartInternal::SubDocument

## Detailed Description

a class used to store a chart associated to a spreadsheet ....

## Constructor & Destructor Documentation

## MWAWChart() [1/2]

MWAWChart::MWAWChart | ( | std::string const & | sheetName,
|  | MWAWFontConverterPtr const & | fontConverter,
|  | MWAWVec2f const & | dim = MWAWVec2f() )

the constructor

Referenced by MWAWChart::Axis::Axis(), BeagleWksSSParserInternal::Chart::Chart(), MWAWChart(), MWAWChart(), operator=(), MWAWChart::Series::Series(), and MWAWChart::TextZone::TextZone().

## ~MWAWChart()

MWAWChart::~MWAWChart | ( |  | ) |

virtual

the destructor

## MWAWChart() [2/2]

MWAWChart::MWAWChart | ( | MWAWChart const & | orig | ) |

explicit private delete

## Member Function Documentation

## add() [1/3]

void MWAWChart::add | ( | int | coord,
|  | MWAWChart::Axis const & | axis )

adds an axis (corresponding to a coord)

## add() [2/3]

void MWAWChart::add | ( | MWAWChart::Series const & | series | ) |

adds a series

## add() [3/3]

void MWAWChart::add | ( | MWAWChart::TextZone const & | textZone | ) |

adds a textzone

## getAxis()

MWAWChart::Axis const & MWAWChart::getAxis | ( | int | coord | ) | const

return an axis (corresponding to a coord)

## getDimension()

MWAWVec2f const & MWAWChart::getDimension | ( |  | ) | const

inline

return the chart dimension

## getLegend()

Legend const & MWAWChart::getLegend | ( |  | ) | const

inline

return the legend

## getSeries()

std::vector< Series > const & MWAWChart::getSeries | ( |  | ) | const

inline

return the list of series

## getTextZone()

bool MWAWChart::getTextZone | ( | TextZone::Type | type,
|  | MWAWChart::TextZone & | textZone )

returns a textzone content(if set)

## operator=()

MWAWChart & MWAWChart::operator= | ( | MWAWChart const & | orig | ) |

private delete

## sendChart()

void MWAWChart::sendChart | ( | MWAWSpreadsheetListenerPtr & | listener,
|  | librevenge::RVNGSpreadsheetInterface * | interface )

send the chart to the listener

Referenced by MWAWSpreadsheetListener::insertChart().

## sendContent()

virtual void MWAWChart::sendContent | ( | TextZone const & | zone,
|  | MWAWListenerPtr & | listener )

pure virtual

send the zone content (called when the zone is of text type)

Implemented in BeagleWksSSParserInternal::Chart.

Referenced by sendTextZoneContent().

## sendTextZoneContent()

void MWAWChart::sendTextZoneContent | ( | TextZone::Type | type,
|  | MWAWListenerPtr & | listener )

protected

sends a textzone content

## set()

void MWAWChart::set | ( | Legend const & | legend | ) |

inline

set the legend

## setDataType()

void MWAWChart::setDataType | ( | Series::Type | type,
|  | bool | dataStacked )

inline

sets the chart type

## setDimension()

void MWAWChart::setDimension | ( | MWAWVec2f const & | dim | ) |

inline

return the chart dimension

## Friends And Related Symbol Documentation

## MWAWChartInternal::SubDocument

friend class MWAWChartInternal::SubDocument

friend

## Member Data Documentation

## m_axis

Axis MWAWChart::m_axis[4]

protected

the x,y,z and a bad axis

Referenced by add(), getAxis(), and sendChart().

## m_dataStacked

bool MWAWChart::m_dataStacked

protected

a flag to know if the data are stacked or not

Referenced by MWAWChart(), sendChart(), and setDataType().

## m_dim

MWAWVec2f MWAWChart::m_dim

protected

the chart dimension in point

Referenced by getDimension(), MWAWChart(), sendChart(), and setDimension().

## m_fontConverter

MWAWFontConverterPtr MWAWChart::m_fontConverter

protected

the font converter

Referenced by BeagleWksSSParserInternal::Chart::Chart(), MWAWChart(), and sendChart().

## m_legend

Legend MWAWChart::m_legend

protected

the legend

Referenced by getLegend(), MWAWChart(), sendChart(), and set().

## m_seriesList

std::vector<Series> MWAWChart::m_seriesList

protected

the list of series

Referenced by add(), getSeries(), MWAWChart(), and sendChart().

## m_sheetName

std::string MWAWChart::m_sheetName

protected

the sheet name

Referenced by MWAWChart(), and sendChart().

## m_textZoneMap

std::map<TextZone::Type, TextZone> MWAWChart::m_textZoneMap

protected

a map text zone type to text zone

Referenced by add(), getTextZone(), MWAWChart(), sendChart(), and sendTextZoneContent().

## m_type

Series::Type MWAWChart::m_type

protected

the chart type (if no series)

Referenced by MWAWChart(), sendChart(), and setDataType().

The documentation for this class was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx